=== doc/CMakeLists.txt ===
SUBDIRS(help)
