=== src/CMakeLists.txt ===
INCLUDE(ToraCompat)
INCLUDE(PCHSupport_26)

#Subdirectories
# ADD_SUBDIRECTORY(i18n)
ADD_SUBDIRECTORY(loki)
IF (WIN32)
    ADD_SUBDIRECTORY(windows)
ENDIF (WIN32)

IF (USE_TROTL)
  ADD_SUBDIRECTORY(trotl)
  INCLUDE_DIRECTORIES(${CMAKE_CURRENT_SOURCE_DIR}/trotl/src)
  LINK_DIRECTORIES(./trotl)
  SET (TROTL_LIB "trotl")
ENDIF (USE_TROTL)

# Default: qsci2 as 3rd party lib!
IF (WANT_INTERNAL_QSCINTILLA)
    ADD_SUBDIRECTORY(qscintilla2)
ENDIF(WANT_INTERNAL_QSCINTILLA)


# only toad bindings are here. All others qm files will blow the binary too much
SET (TORA_I18N_TS
    i18n/tora_toad.ts
)

SET(TORA_RCC_FILES tora.qrc)

SET(TORA_UI_SRC
    toaboutui.ui
    tobrowserconstraintui.ui
    tobrowserfilterui.ui
    tobrowserindexui.ui
    tobrowsertableui.ui
    toconnectionimportui.ui
    todatabasesettingui.ui
    todebugchangeui.ui
    todebugwatch.ui
    todescribeui.ui
    todroptablespaceui.ui
    toeditextensionsetupui.ui
    toglobalsettingui.ui
    tohelpaddfileui.ui
    tohelpui.ui
    tohelpsetupui.ui
    tochartalarmui.ui
    tochartsetupui.ui
    tolinechartsetupui.ui
    tomessageui.ui
    tonewconnectionui.ui
    topreferencesui.ui
    toresultcontentfilterui.ui
    toresultlistformatui.ui
    torollbackdialogui.ui
#    toschedulerui.ui
    toscriptui.ui
    toscriptschemawidgetui.ui
    tosearchreplaceui.ui
    tosecurityquotaui.ui
    tosecurityroleui.ui
    tosecurityuserui.ui
    tostoragedatafileui.ui
    tostoragedefinitionui.ui
    tostoragedialogui.ui
    tostorageprefsui.ui
    tostoragetablespaceui.ui
    tosyntaxsetupui.ui
    totemplateaddfileui.ui
    totemplateeditui.ui
    totemplatesetupui.ui
    totoolsettingui.ui
    totuningoverviewui.ui
    totuningsettingui.ui
    toworksheetsetupui.ui
    # shortcuteditor
    shortcuteditor/shortcuteditordialog.ui
    connectioncolorsdialogui.ui
)
IF (ORACLE_FOUND)
    LIST (APPEND TORA_UI_SRC tooraclesettingui.ui)
ENDIF (ORACLE_FOUND)


SET(TORA_MOC_CLASSES
    toabout.h
    toalert.h
    toanalyze.h
    toawr.h
#     tobackground.h
#     tobackgroundlabel.h
    tobackup.h
#     tobackuptool.h
    tobarchart.h
    tobackgroundlabel.h
    tobrowserconstraint.h
    tobrowser.h
    toresultgrants.h
    tobrowserindex.h
    tobrowsertable.h
    tobrowserbasewidget.h
    tobrowseraccesswidget.h
    tobrowsertablewidget.h
    tobrowserviewwidget.h
    tobrowserindexwidget.h
    tobrowserschemawidget.h
    tobrowsersequencewidget.h
    tobrowsersynonymwidget.h
    tobrowsercodewidget.h
    tobrowsertriggerwidget.h
    tobrowserdblinkswidget.h
    tobrowserdirectorieswidget.h
#     tobrowserschemabasewidget.h
#     toconf.h
#     toconfiguration.h
    toconnection.h
    toconnectionimport.h
    toconnectionmodel.h
    toconnectionpool.h
    todocklet.h
    todockbar.h
    topushbutton.h
    torunnable.h
    tonoblockquery.h
    tocurrent.h
    todatatype.h
    todebug.h
    todebugtext.h
    todescribe.h
#     todefaultkeywords.h
    toeditextensions.h
#     toeditwidget.h
#     toextract.h
    toeventquery.h
    toeventquerytask.h
    tofilesize.h
    toglobalsetting.h
    tohelp.h
    tohelpsetup.h
    tohighlightedtext.h
#     tohtml.h
    tochangeconnection.h
    tochartmanager.h
    toinvalid.h
    tolegendchart.h
    tolinechart.h
#     tolistviewformattercsv.h
#     tolistviewformatterfactory.h
#     tolistviewformatter.h
#     tolistviewformatterhtml.h
#     tolistviewformatteridentifier.h
#     tolistviewformattersql.h
#     tolistviewformattertabdel.h
#     tolistviewformattertext.h
    tomain.h
    tomainwindow.h
#     tomainwindow.kde.h
    tomarkedtext.h
    tomemoeditor.h
    tomodeleditor.h
    tomessage.h
#     tomysqlkeywords.h
    tonewconnection.h
#     tonoblockquery.h
    tooutput.h
    toparamget.h
    topiechart.h
    toplsqleditor.h
    toplsqltext.h
    topreferences.h
    toprofiler.h
    toproject.h
#     toqvalue.h
#     toreport.h
    toresultbar.h
    toresultcolscomment.h
    toresultcols.h
    toresultcombo.h
    toresultschema.h
    toresultdepend.h
    toresultextract.h
    toresultfield.h
    toresult.h
    toresultitem.h
    toresultlabel.h
    toresultline.h
    toresultlock.h
    toresultlong.h
    toresultmodel.h
    tocodemodel.h
    toresultparam.h
    toresultpie.h
    toresultplan.h
#     toresultresources.h
    toresultstats.h
    toresultstorage.h
    toresulttableview.h
    toresulttableviewedit.h
    toresultdata.h
    toresultdatasingle.h
    toresultview.h
    toresultlistformat.h
    torollback.h
#    toscheduler.h
    toscript.h
    toscriptschemawidget.h
#     toscripttreeitem.h
    toscripttreemodel.h
    tosearchreplace.h
    tosecurity.h
    tosecuritytreemodel.h
#     tosecuritytreeitem.h
    tosession.h
    tosgastatement.h
    tosgatrace.h
    tosmtp.h
#     tosplash.h
    tosqledit.h
#     tosql.h
#     tosqlparse.h
#     tostoragedefinition.h
    tostorage.h
    tosyntaxsetup.h
    totableselect.h
    totabwidget.h
    totemplate.h
    totemporary.h
#     totextview.h
    tothread_p.h
    totreewidget.h
#     totimer.h
    totool.h
    totuning.h
    tounittest.h
    tovisualize.h
    towaitevents.h
    toworksheet.h
    toworkingwidget.h
    toeditablemenu.h
    toworksheetstatistic.h
#     toworksheettext.h
    toworksheetwidget.h
    utils.h
# shortcuteditor
    shortcuteditor/shortcuteditordialog.h
    shortcuteditor/shortcutmodel.h
# docklets
    docklets/toviewconnections.h
    docklets/toviewdirectory.h
)
IF (ORACLE_FOUND)
    LIST(APPEND TORA_MOC_CLASSES tooraclesetting.h)
ENDIF (ORACLE_FOUND)


SET(TORA_SOURCES
    # include main.cpp for "normal" TOra build, but comment it out and include
    # tosqlparsetest.cpp when running unit tests for sql parser.
    main.cpp
    #tosqlparsetest.cpp
    toabout.cpp
    toalert.cpp
    toanalyze.cpp
    toawr.cpp
    tobackground.cpp
    tobackgroundlabel.cpp
    tobackup.cpp
    tobackuptool.cpp
    tobarchart.cpp
    tobrowserconstraint.cpp
    tobrowser.cpp
    toresultgrants.cpp
    tobrowserindex.cpp
    tobrowsertable.cpp
    tobrowserbasewidget.cpp
    tobrowseraccesswidget.cpp
    tobrowsertablewidget.cpp
    tobrowserviewwidget.cpp
    tobrowserindexwidget.cpp
    tobrowserschemawidget.cpp
    tobrowsersequencewidget.cpp
    tobrowsersynonymwidget.cpp
    tobrowsercodewidget.cpp
    tobrowsertriggerwidget.cpp
    tobrowserdblinkswidget.cpp
    tobrowserdirectorieswidget.cpp
#     tobrowserschemabasewidget.cpp
    toconfiguration.cpp
    toconnection.cpp
    toqvalue.cpp
    toconnectionimport.cpp
    toconnectionmodel.cpp
    toconnectionpool.cpp
    todocklet.cpp
    todockbar.cpp
    topushbutton.cpp
    torunnable.cpp
    tocurrent.cpp
    todatatype.cpp
    todebug.cpp
    todebugtext.cpp
    todescribe.cpp
    toeditextensions.cpp
    toeditwidget.cpp
    toextract.cpp
    toextratranslations.cpp
    toeventquery.cpp
    toeventquerytask.cpp
    tofilesize.cpp
# temporarily disabled due the lack of firebird here    tofyracleconnection.cpp
    toglobalsetting.cpp
    tohelp.cpp
    tohighlightedtext.cpp
    tohtml.cpp
    tochangeconnection.cpp
    tochartmanager.cpp
    toinvalid.cpp
    tolegendchart.cpp
    tolinechart.cpp
    tolistviewformatter.cpp
    tolistviewformattercsv.cpp
    tolistviewformatterhtml.cpp
    tolistviewformattersql.cpp
    tolistviewformattertabdel.cpp
    tolistviewformattertext.cpp
    tomain.cpp
    tomainwindow.cpp
    tomarkedtext.cpp
    tomemoeditor.cpp
    tomodeleditor.cpp
    tomessage.cpp
    tonewconnection.cpp
    tonoblockquery.cpp
#win only?    toocistub.cpp
#    tooracleconnection.cpp
    tooracleextract.cpp
    tooraclepreload.cpp
    tooutput.cpp
    toparamget.cpp
    topassword.cpp
    topiechart.cpp
    toplsqleditor.cpp
    toplsqltext.cpp
    topreferences.cpp
    toprofiler.cpp
    toproject.cpp
    toqsqlconnection.cpp
    toreport.cpp
    toresultbar.cpp
    toresultcolscomment.cpp
    toresultcols.cpp
    toresultschema.cpp
    toresultcombo.cpp
    toresult.cpp
    toresultdepend.cpp
    toresultextract.cpp
    toresultfield.cpp
    toresultitem.cpp
    toresultlabel.cpp
    toresultline.cpp
    toresultlock.cpp
    toresultlong.cpp
    toresultmodel.cpp
    tocodemodel.cpp
    toresultparam.cpp
    toresultpie.cpp
    toresultplan.cpp
    toresultstats.cpp
    toresultstorage.cpp
    toresulttableview.cpp
    toresulttableviewedit.cpp
    toresultdata.cpp
    toresultdatasingle.cpp
    toresultview.cpp
    toresultlistformat.cpp
    torollback.cpp
#    toscheduler.cpp
    toscript.cpp
    toscriptschemawidget.cpp
    toscripttreeitem.cpp
    toscripttreemodel.cpp
    tosearchreplace.cpp
    tosecurity.cpp
    tosecuritytreemodel.cpp
    tosecuritytreeitem.cpp
    tosession.cpp
    tosgastatement.cpp
    tosgatrace.cpp
    tosmtp.cpp
    tosplash.cpp
    tosql.cpp
    tosqledit.cpp
    tosqlparse.cpp
    tostorage.cpp
    tostoragedefinition.cpp
    tosyntaxsetup.cpp
    totableselect.cpp
    totabwidget.cpp
    totemplate.cpp
    totemplateprovider.cpp
    totemporary.cpp
    totextview.cpp
    tothread.cpp
    totimer.cpp
    totool.cpp
    totreewidget.cpp
    totuning.cpp
    tounittest.cpp
    tovisualize.cpp
    towaitevents.cpp
    toworksheet.cpp
    toworkingwidget.cpp
    toeditablemenu.cpp
    toworksheetstatistic.cpp
    toworksheettext.cpp
    toworksheetwidget.cpp
    utils.cpp
    #
    migratetool/sqldeveloper.cpp
    migratetool/squirrelsql.cpp
    migratetool/tora3.cpp
    # shortcuteditor
    shortcuteditor/shortcuteditordialog.cpp
    shortcuteditor/shortcutmodel.cpp
    # docklets
    docklets/toviewconnections.cpp
    docklets/toviewdirectory.cpp
    tooracletable.cpp
)

IF(USE_TROTL)
  LIST(APPEND TORA_SOURCES tooracleconnection_trotl.cpp)
ELSE (USE_TROTL)
  LIST(APPEND TORA_SOURCES tooracleconnection.cpp)
ENDIF (USE_TROTL)
    
IF (DB2_FOUND)
    LIST (APPEND TORA_SOURCES db2/todb2connection.cpp
                              db2/db2connectionsub.cpp
                              db2/db2provider.cpp
                              db2/db2query.cpp)
    #db2/qsql_db2.cpp)
ENDIF (DB2_FOUND)

IF (TERADATA_FOUND)
    LIST (APPEND TORA_SOURCES toteradataconnection.cpp)
ENDIF (TERADATA_FOUND)

# compiled in icons for windows
IF (WIN32 AND MSVC)
    SET (TORA_SOURCES ${TORA_SOURCES} tora.rc)
ENDIF (WIN32 AND MSVC)
if (WIN32 AND MINGW)
    # resource compilation for mingw
    ADD_CUSTOM_COMMAND(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/tora_rc.o
                       COMMAND windres.exe -I${CMAKE_CURRENT_SOURCE_DIR}
                              -i${CMAKE_CURRENT_SOURCE_DIR}/tora.rc
                              -o ${CMAKE_CURRENT_BINARY_DIR}/tora_rc.o)
    SET(TORA_SOURCES ${TORA_SOURCES} ${CMAKE_CURRENT_BINARY_DIR}/tora_rc.o)
endif (WIN32 AND MINGW)



QT4_ADD_TRANSLATION(TORA_I18N_QM ${TORA_I18N_TS})
QT4_WRAP_UI(TORA_UI_SOURCES ${TORA_UI_SRC} )
QT4_WRAP_CPP(TORA_MOC_SOURCES ${TORA_MOC_CLASSES})
QT4_ADD_RESOURCES(TORA_RCC_SRCS ${TORA_RCC_FILES})


LINK_DIRECTORIES(./loki)
IF (WIN32)
    LINK_DIRECTORIES(./windows)
ENDIF (WIN32)
IF (WANT_INTERNAL_QSCINTILLA)
    LINK_DIRECTORIES(./qscintilla2)
ENDIF (WANT_INTERNAL_QSCINTILLA)


SET(TORA_LOKI_LIB "tora_loki_lib")
IF (WANT_INTERNAL_QSCINTILLA)
    SET (TORA_QSCINTILLA_LIB tora_qscintilla2_lib)
ENDIF (WANT_INTERNAL_QSCINTILLA)


IF (WIN32)
    SET (WINDOWS_LIB "windows_lib")
ENDIF (WIN32)


INCLUDE_DIRECTORIES(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${QT_INCLUDES}
  ${CMAKE_CURRENT_SOURCE_DIR}/loki/include
  ${CMAKE_CURRENT_SOURCE_DIR}/otl
)

IF (ORACLE_INCLUDES)
    INCLUDE_DIRECTORIES( ${ORACLE_INCLUDES} )
ENDIF (ORACLE_INCLUDES)

IF (POSTGRESQL_INCLUDE_DIR)
    INCLUDE_DIRECTORIES( ${POSTGRESQL_INCLUDE_DIR} )
ENDIF (POSTGRESQL_INCLUDE_DIR)

IF (DB2_INCLUDES)
    INCLUDE_DIRECTORIES( ${DB2_INCLUDES} )
ENDIF (DB2_INCLUDES)

IF (TERADATA_PATH_INCLUDES)
    INCLUDE_DIRECTORIES( ${TERADATA_PATH_INCLUDES} )
ENDIF (TERADATA_PATH_INCLUDES)

IF (WANT_INTERNAL_QSCINTILLA)
    INCLUDE_DIRECTORIES(
        ${CMAKE_SOURCE_DIR}/src/qscintilla2/Qt4
