=== doc/help/CMakeLists.txt ===
#FILE( GLOB TORA_DOC_FILES *.htm* )
##FILE( GLOB TORA_API_FILES ./api/*.htm* )

#IF (WIN32)
#    INSTALL(FILES ${TORA_DOC_FILES} DESTINATION help/)
##    INSTALL(FILES ${TORA_API_FILES} DESTINATION help/api/)
#ELSE (WIN32)
#    INSTALL(FILES ${TORA_DOC_FILES} DESTINATION ${TORA_HELP_DIR})
##    INSTALL(FILES ${TORA_API_FILES} DESTINATION ${TORA_HELP_DIR}/api/)
#ENDIF (WIN32)

#SUBDIRS(images)
