=== utils/chex/CMakeLists.txt ===
SET(CHEX_SOURCES
    chex.cpp
)

ADD_EXECUTABLE(chex
  ${CHEX_SOURCES}
)
