=== doc/help/images/CMakeLists.txt ===
#FILE( GLOB TORA_DOC_IMAGES *.png )
#INSTALL(FILES ${TORA_DOC_IMAGES} DESTINATION ${TORA_HELP_DIR}/images/)
