=== debian/changelog ===
tora (2.1.3-4) unstable; urgency=medium

  * Team upload.
  * Update for new qscintilla2 library names (Closes: #885643)

 -- Scott Kitterman <scott@kitterman.com>  Thu, 04 Jan 2018 01:45:26 -0500

tora (2.1.3-3) unstable; urgency=medium

  * Added missing entry in initializer.
    Thanks to Christoph Biedl <debian.axhn@manchmal.in-ulm.de> (Closes: #811663)
  * Switched to source code format 3.0.
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Bumped debhelper compat level to 9.
  * Shortend description for debugging package.
  * Correctly uppercase Qt and TOra in extended description. (Closes: #663125)

 -- Michael Meskes <meskes@debian.org>  Mon, 12 Dec 2016 16:26:25 +0100

tora (2.1.3-2) unstable; urgency=low

  * Fix FTBFS with gcc 4.7 by fixing missing <unistd.h> includes.
    Thanks to Cyril Brulebois <kibi@debian.org> (Closes: #667395)
  * Bumped Standards-Version to 3.9.3, no changes needed.
  * Removed leading article in package description
  * Moved debug package to priority extra.

 -- Michael Meskes <meskes@debian.org>  Wed, 09 May 2012 10:53:50 +0200

tora (2.1.3-1) unstable; urgency=low

  * New Upstream version 2.1.3
  * Bumped Standards-Version to 3.9.1, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Mon, 27 Sep 2010 10:06:11 +0200

tora (2.1.2-1) unstable; urgency=low

  * Added debug package. (Closes: #560064)
  * New Upstream version 2.1.2
    * Improved: Add editor option for uppler/lowercase object names
    * Improved: Db extract/compare tool now remembers widgets states
    * New: Filesystem completer for target line edit
    * Improved: Compatibility with sql+
    * New: Color/pixmap identifier for connection
    * Improved: Schema browser improvements
    * New: Ability to add external static check
    * New: Save package specification and body to one file
    * New: Initial support for creating/modifying tables
    * Bugfixes
  * Bumped Standards-Version to 3.8.4, no changes needed.
  * No patches needed anymore, removed patch system.

 -- Michael Meskes <meskes@debian.org>  Tue, 30 Mar 2010 13:14:16 +0200

tora (2.1.1-1) unstable; urgency=low

  * New upstream version.

 -- Michael Meskes <meskes@debian.org>  Thu, 19 Nov 2009 15:18:19 +0100

tora (2.1.0-1) unstable; urgency=low

  * New upstream version, the rebuild closes: #540046.
  * Bumped Standards-Version to 3.8.3, no changes needed.
  * New project homepage.
  * Removed no longer needed 01_missing_includes.dpatch.
  * Removed no longer used dh_desktop call.
  * Added README.source file.

 -- Michael Meskes <meskes@debian.org>  Fri, 11 Sep 2009 12:37:52 +0200

tora (2.0.0-4) unstable; urgency=low

  * Added patch to add missing include directives, closes: #526166

 -- Michael Meskes <meskes@debian.org>  Mon, 04 May 2009 16:12:37 +0200

tora (2.0.0-3) unstable; urgency=low

  * Cleaned up packaging a little bit.
  * Added homepage information to control file.
  * Bumped Standards-Version to 3.8.1.
  * Released to unstable.

 -- Michael Meskes <meskes@debian.org>  Tue, 07 Apr 2009 13:16:05 +0200

tora (2.0.0-2) experimental; urgency=low

  * Added build dependency on libpq-dev to get full PostgreSQL support.

 -- Michael Meskes <meskes@debian.org>  Tue, 06 Jan 2009 08:49:43 +0100

tora (2.0.0-1) experimental; urgency=low

  * New upstream version for KDE4/Qt4.
  * Added watch file.
  * Updated to standards version 3.8.0, no additional changes needed.
  * No longer need texinfo to build, the html files are part of the tarball.
  * Streamlined build dependencies.
  * Updated copyright file.

 -- Michael Meskes <meskes@debian.org>  Sat, 03 Jan 2009 20:51:13 +0100

tora (1.3.23-1) unstable; urgency=low

  * New upstream version
  * Moved config.* handling from clean target to configure target.

 -- Michael Meskes <meskes@debian.org>  Wed, 26 Mar 2008 09:55:07 +0100

tora (1.3.22-7) unstable; urgency=low

  * Removed build dependency on libqt3-compat-headers, closes: #464914
  * Added include directives needed by gcc-4.3, closes: #462239

 -- Michael Meskes <meskes@debian.org>  Mon, 11 Feb 2008 10:57:12 +0100

tora (1.3.22-6) unstable; urgency=low

  * Fixed clean target yet again so building twice in a row is possible.
  * Bumped up build dependency on debhelper to correct version.

 -- Michael Meskes <meskes@debian.org>  Thu, 10 Jan 2008 11:55:07 +0100

tora (1.3.22-5) unstable; urgency=low

  * Bumped standards version to 3.7.3.
  * Bumped tora.dekstop to version 1.0, closes: #455588
  * Added call to dh_desktop.
  * Bumbed debhelper version to 5.
  * Build-depend on autotools-dev and cp up-to-date files to archive.
  * Do not ignore errors in "make clean".

 -- Michael Meskes <meskes@debian.org>  Tue, 11 Dec 2007 10:32:06 +0100

tora (1.3.22-4) unstable; urgency=low

  * Removed build dependency on g++, closes: #452976
  * Also removed build dependency on libqt3-mt-dev because kdelibs4-dev
    depends on it.
  * Made menu file adhere new standard.
  * Do not install sources for help files.

 -- Michael Meskes <meskes@debian.org>  Thu, 06 Dec 2007 10:13:24 +0100

tora (1.3.22-3) unstable; urgency=low

  * Moved to team maintenance:
    Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>.

 -- Michael Meskes <meskes@debian.org>  Thu, 22 Nov 2007 11:12:43 +0100

tora (1.3.22-2) unstable; urgency=low

  * Fixed help system
  * Moved translations to /usr/share, closes: #448950
  * Remove deprecated debian.patch file.

 -- Michael Meskes <meskes@debian.org>  Tue, 20 Nov 2007 13:05:47 +0100

tora (1.3.22-1) unstable; urgency=low

  * New upstream version.
  * Added texinfo to Build-Depends, closes: #443296
  * Build process now uses dpatch.

 -- Michael Meskes <meskes@debian.org>  Fri, 21 Sep 2007 13:48:45 +0200

tora (1.3.21pre22-3) unstable; urgency=low

  * Do not remove files from the orig tarball in our clean target, closes: #442749
  * Resynced with svn to prepare for upcoming 1.3.22 release.

 -- Michael Meskes <meskes@debian.org>  Tue, 18 Sep 2007 11:15:46 +0200


