=== debian/control ===
Source: tora
Section: misc
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Michael Meskes <meskes@debian.org>
Build-Depends: debhelper (>= 9), libqscintilla2-qt4-dev, cdbs, libpq-dev, cmake
Standards-Version: 3.9.8
Homepage: http://www.torasql.com
Vcs-Git: git://git.debian.org/pkg-kde/kde-extras/tora.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-extras/tora.git

Package: tora
Architecture: any
Depends: libqt4-sql, ${shlibs:Depends}, ${misc:Depends}
Description: graphical toolkit for database developers and administrators
 TOra features a schema browser, SQL worksheet, PL/SQL editor & debugger,
 storage manager, rollback segment monitor, instance manager, and SQL output
 viewer. Via Qt4 it can access PostgreSQL and MySQL directly. Any other
 database systems can be accessed via ODBC.

Package: tora-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, tora
Description: graphical toolkit for databaseis - debugging symbols
 TOra features a schema browser, SQL worksheet, PL/SQL editor & debugger,
 storage manager, rollback segment monitor, instance manager, and SQL output
 viewer. Via Qt4 it can access PostgreSQL and MySQL directly. Any other
 database systems can be accessed via ODBC.
 .
 This package provides the debugging symbols for tora.
