=== debian/watch ===
version=3
http://sf.net/tora tora-([\d\.]*)\.tar\.gz
